Bug 1005562 - RHEVM-RESTAPI: "Start" vm sent as run once
RHEVM-RESTAPI: "Start" vm sent as run once
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: Martin Betak
Ilanit Stein
virt
: Triaged
Depends On:
Blocks: 3.3snap1
  Show dependency treegraph
 
Reported: 2013-09-08 08:22 EDT by Barak Dagan
Modified: 2014-10-20 05:25 EDT (History)
9 users (show)

See Also:
Fixed In Version: is19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:13:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19267 None None None Never
oVirt gerrit 19996 None None None Never

  None (edit)
Description Barak Dagan 2013-09-08 08:22:13 EDT
Description of problem:
Starting VM from API, results the VM to run in "run once" mode, instead of just "up"

Version-Release number of selected component (if applicable):
is13

How reproducible:
100%

Steps to Reproduce:
1.
RHEVM shell (connected@10.35.161.51)]# action vm vm04 start

status-state: complete
vm-id       : a5a88067-e6ce-468c-8809-47151151cd4a

2. engine log:
3.2013-09-08 14:48:09,116 INFO  [org.ovirt.engine.core.vdsbroker.IsVmDuringInitiatingVDSCommand] (ajp-/127.0.0.1:8702-4) START, IsVmDuringInitiatingVDSCommand( vmId = a5a88067-e6ce-468c-8809-47151151cd4a), lo
2013-09-08 14:48:09,142 INFO  [org.ovirt.engine.core.bll.RunVmOnceCommand] (ajp-/127.0.0.1:8702-4) Running command: RunVmOnceCommand internal: false. Entities affected :  ID: a5a88067-e6ce-468c-8809-4715115
2013-09-08 14:48:09,177 INFO  [org.ovirt.engine.core.vdsbroker.CreateVmVDSCommand] (ajp-/127.0.0.1:8702-4) START, CreateVmVDSCommand(HostName = rose02, HostId = 5ed5c63e-6037-477c-8350-c1dd851a9af4, vmId=a5
2013-09-08 14:48:09,184 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.CreateVDSCommand] (ajp-/127.0.0.1:8702-4) START, CreateVDSCommand(HostName = rose02, HostId = 5ed5c63e-6037-477c-8350-c1dd851a9af4, v
2013-09-08 14:48:09,219 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.CreateVDSCommand] (ajp-/127.0.0.1:8702-4) org.ovirt.engine.core.vdsbroker.vdsbroker.CreateVDSCommand spiceSslCipherSuite=DEFAULT,memS
2013-09-08 14:48:12,603 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (DefaultQuartzScheduler_Worker-87) VM vm04 a5a88067-e6ce-468c-8809-47151151cd4a moved from WaitForLaunch --> PoweringUp
2013-09-08 14:48:26,882 INFO  [org.ovirt.engine.core.bll.SetVmTicketCommand] (ajp-/127.0.0.1:8702-6) Running command: SetVmTicketCommand internal: false. Entities affected :  ID: a5a88067-e6ce-468c-8809-471
2013-09-08 14:48:26,887 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.SetVmTicketVDSCommand] (ajp-/127.0.0.1:8702-6) START, SetVmTicketVDSCommand(HostName = rose02, HostId = 5ed5c63e-6037-477c-8350-c1dd8
2013-09-08 14:49:10,150 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (DefaultQuartzScheduler_Worker-68) VM vm04 a5a88067-e6ce-468c-8809-47151151cd4a moved from PoweringUp --> Up


Actual results:
VM starts in run once

Expected results:


Additional info:
Comment 1 Ilanit Stein 2013-10-22 03:57:40 EDT
Verified on IS19, 
rhevm-cli-3.3.0.8-1.el6ev.noarch
Comment 2 Itamar Heim 2014-01-21 17:13:53 EST
Closing - RHEV 3.3 Released
Comment 3 Itamar Heim 2014-01-21 17:21:39 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.